# Uses of Interface
org.eclipse.net4j.util.properties.IProperties

Packages that use IProperties
Package
Description
org.eclipse.net4j.util.properties
A framework to describe and access properties of POJOs and to support Eclipse `property testers` and `IPropertySources` in a uniform way.

## Uses of IProperties in org.eclipse.net4j.util.properties

Classes in org.eclipse.net4j.util.properties that implement IProperties
Modifier and Type
Class
Description
`class`
`DefaultPropertyTester<RECEIVER>`
Tests properties of receiver objects against expected values.
`class`
`Properties<RECEIVER>`
Contains a list of `properties`.
Constructors in org.eclipse.net4j.util.properties with parameters of type IProperties
Modifier
Constructor
Description
``
`DefaultPropertyTester(String namespace, IProperties<RECEIVER> properties)`